Module RegressionTest
	Friend Sub RunRegressonTest()
		Debug.Print("Regression test")
		Debug.Print("	StringToDouble(""-8274.264030"") = " & StringToDouble("-8274.264030"))
		Debug.Print("	DoubleToString(-432.75036, 3) = " & DoubleToString(-432.75036, 3))
		Debug.Print("	DoubleToString(-432.75036, 8) = " & DoubleToString(-432.75036, 8))
		Debug.Print("	DoubleToString(120.000, 12) = " & DoubleToString(120.000, 12))
		Debug.Print("	StringToInteger(""-12345"") = " & StringToInteger("-12345"))
		Debug.Print("	StringToInteger(""-123.45"") = " & StringToInteger("-123.45"))
		Debug.Print("	IntegerToString(-12345) = " & IntegerToString(-12345))
		'Dim I As Integer
		'Dim VStart As Double
		'Dim VString As String
		'Dim VEnd As Double
		'Dim NewError As Single
		'Dim MaxError As Single
		'MaxError = 0
		'For I = 0 to 10
		'	VStart = Int(Rnd * 1000000) / 10000
		'	VString = DoubleToString(VStart, 8)
		'	VEnd = StringToDouble(VString)
		'	NewError = System.Math.Abs(VStart - VEnd)
		'	If NewError > 0.0001 Then
		'		Debug.Print("	NewError = " & NewError & " for " & VStart & " -> """ & VString & """ -> " & VEnd)
		'	End If
		'	MaxError = Max_Float(MaxError, NewError)
		'Next
		'Debug.Print("	MaxError = " & MaxError)
	End Sub
End Module
